Skip to main content
GET
/
open
/
api
/
phone
/
task
/
status
Get phone task status
curl --request GET \
  --url https://user.pmock.com/api/open/api/phone/task/status
{
  "traceId": "<string>",
  "code": 123,
  "msg": "<string>",
  "status": "finish",
  "data": {
    "taskStatus": 123,
    "taskStatusName": "<string>",
    "phoneStatus": 123,
    "phoneStatusName": "<string>"
  }
}

Query Parameters

operateType
string

Phone operation type: powerOn, reset, restart, renew

phoneId
integer<int64>
required

Phone ID, The Get phone list returns the ID contained in the data.

Response

200 - application/json
traceId
string
required

Request link ID

code
integer
required

code

msg
string
required

Request return message

status
string
default:finish
required

Status, representing whether this is an instant completion or waiting state, finish or pending

data
object

Request return data